using System;
using System.Collections.Generic;
using System.Text;

using SmartRename.Interfaces;
using Castle.DynamicProxy;

namespace SmartRename.Containers
{
    public class ReplacementContainer
    {
        private List<IReplacement> _replacements;
        public List<IReplacement> Replacements
        {
            get{ return this._replacements; }
        }

        public ReplacementContainer(IReplacement[] replacements)
        {
            this._replacements = new List<IReplacement>(replacements.Length);
            this._replacements.AddRange(replacements);
        }

        public void Reset()
        {
            foreach (IReplacement replacement in this._replacements)
            {
                replacement.Reset();
            }
        }
    }
}
