using System;
using System.Collections.Generic;
using System.Windows.Forms;

using SmartRename.Interfaces;
using SmartRename.Replacements;
using SmartRename.Containers;

namespace SmartRename
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            container = Container.GetService<ReplacementContainer>();
            smartRename = Container.GetService<ISmartRename>();
            
            Application.Run(new Form1());
        }

        private static ReplacementContainer container;
        public static ReplacementContainer ReplacementContainer
        {
            get { return Program.container; }
            set { Program.container = value; }
        }

        private static ISmartRename smartRename;
        public static ISmartRename SmartRename
        {
            get { return smartRename; }
        }
    }
}