using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SmartRename.Replacements
{
    public class DateReplacement : ReplacementBase
    {
        public DateReplacement() { }
        public DateReplacement(string dateFormat)
        {
            this._dateFormat = dateFormat;
        }

        private string _dateFormat;

        protected override string GetReplacement(RenameFile inputFile)
        {
            string replacement;
            if (string.IsNullOrEmpty(this._dateFormat))
            {
                replacement = DateTime.Now.ToShortDateString();
            }
            else
            {
                replacement = DateTime.Now.ToString(this._dateFormat);
            }
            return replacement;
        }

        public override string EscapeKey
        {
            get { return "%date%"; }
        }

        public override string HelpText
        {
            get
            {
                return "Inserts the current date";
            }
        }
    }
}
