using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SmartRename.Replacements
{
    public class ExtensionReplacement : ReplacementBase
    {

        protected override string GetReplacement(RenameFile inputFile)
        {
            return Path.GetExtension(inputFile.OriginalName).TrimStart('.');
        }

        public override string EscapeKey
        {
            get { return "%ext%"; }
        }

        public override string HelpText
        {
            get
            {
                return "Inserts the original filename extension";
            }
        }
    }
}
