using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SmartRename.Replacements
{
    public class FolderReplacement : ReplacementBase
    {
        protected override string GetReplacement(RenameFile inputFile)
        {
            return inputFile.FilePath.Substring(inputFile.FilePath.LastIndexOf(Path.DirectorySeparatorChar) + 1); 
        }

        public override string EscapeKey
        {
            get { return "%folder%"; }
        }

        public override string HelpText
        {
            get
            {
                return "Inserts the name of the folder containing the file";
            }
        }
    }
}
