using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SmartRename.Replacements
{
    public class IncrementReplacement : ReplacementBase
    {

        public IncrementReplacement() {}

        public IncrementReplacement(int defaultSeedValue) 
        {
            this.Arguments.Add(defaultSeedValue.ToString());
            this._index = defaultSeedValue;
        }

        private int _index;
        private int Index
        {
            get { return _index; }
            set { _index = value; }
        }

        protected override string GetReplacement(RenameFile inputFile)
        {
            string replacement = this.Index.ToString();
            this.Index++;
            return replacement;
        }

        public override void Reset()
        {
            int seed;
            if (this.Arguments.Count == 1 && int.TryParse(this.Arguments[0], out seed))
            {
                this._index = seed;
            }
            else
            {
                this._index = 1;
            }
        }

        public override string EscapeKey
        {
            get { return "%increment%"; }
        }

        public override string HelpText
        {
            get
            {
                return "Inserts a number, incrementing for each file, from a given initial value. Usage: %increment%{1}";
            }
        }
    }
}
