using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SmartRename.Replacements
{
    public class TimeReplacement : ReplacementBase
    {
        public TimeReplacement() { }

        public TimeReplacement(string timeFormat)
        {
            this._timeFormat = timeFormat;
        }

        private string _timeFormat;

        protected override string GetReplacement(RenameFile inputFile)
        {
            string replacement;
            if (string.IsNullOrEmpty(this._timeFormat))
            {
                replacement = DateTime.Now.ToShortTimeString();
            }
            else
            {
                replacement = DateTime.Now.ToString(this._timeFormat);
            }
            return replacement;
        }

        public override string EscapeKey
        {
            get { return "%time%"; }
        }

        public override string HelpText
        {
            get
            {
                return "Inserts the current time";
            }
        }
    }
}
